View Issue Details

IDProjectCategoryView StatusLast Update
0005339unrealupgrade-confpublic2019-12-08 10:23
ReporterGottemAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version5.0.0 
Summary0005339: (Config) upgrade from 4.x to 5.x
DescriptionJust something I randomly thought of and is probably a solid idea, at least to have it written down somewhere. :D When U5 has a public release there will be a config upgrader sort of thing, no? So I thought it should probably take into account e.g. loadmodule "third/m_storetkl" and skip that shit, possibly even a warning. =]
TagsNo tags attached.
3rd party modules

Relationships

child of 0005279 closedsyzop UnrealIRCd 5 master tracking issue 

Activities

syzop

2019-08-18 15:37

administrator   ~0020826

It depends on the changes that are necessary, I guess. Only some module names have changed, that affects the conf.
Other than that I think I only removed obscure settings. I renamed some but the old ones don't trigger a warning (the ssl to tls stuff).

I certainly don't mind adding a warning or error for certain module names and suggest the new names or suggesting not to load them at all. Just not sure if we should have an upgrade-conf for it.

But.. yeah.. we will decide at the end.

syzop

2019-09-05 20:06

administrator   ~0020870

Worth mentioning that I made 1 breaking config change:
except tkl { } no longer exists, it now uses except ban { } with a type parameter. If no type is specified it uses certain defaults. https://www.unrealircd.org/docs/Except_ban_block#UnrealIRCd_5

Just saying it should be mentioned somewhere.. and IF (IF!!!) we make an upgrade-conf then it should be included there.

syzop

2019-10-14 18:58

administrator   ~0021041

Last edited: 2019-10-14 19:00

View 2 revisions

set::oper-only-stats is removed, we now have set::allow-user-stats which does the inverse.

Also probably nice to rename the ssl shit to tls in upgrade-conf as well, although it's purely for aesthetics atm and not breaking.

syzop

2019-12-08 10:22

administrator   ~0021146

Last edited: 2019-12-08 10:23

View 2 revisions

I've decided to change the 2 breaking changes from errors to warnings. This means there is no upgrade-conf needed anymore. Closing this issue.

https://github.com/unrealircd/unrealircd/commit/32ca956e7774d6a16bd4435a770e75c48ad93bda

NOTE: This does not take into account users using Gottem's 3rd party modules etc.

Issue History

Date Modified Username Field Change
2019-07-24 19:26 Gottem New Issue
2019-07-24 19:26 Gottem Status new => assigned
2019-07-24 19:26 Gottem Assigned To => syzop
2019-07-24 19:26 Gottem Issue generated from: 0005282
2019-07-24 19:26 Gottem Relationship added child of 0005279
2019-08-18 15:17 syzop View Status private => public
2019-08-18 15:37 syzop Note Added: 0020826
2019-09-05 20:06 syzop Note Added: 0020870
2019-09-21 19:29 syzop Target Version 5.0.0-alpha1 =>
2019-10-14 18:58 syzop Note Added: 0021041
2019-10-14 19:00 syzop Note Edited: 0021041 View Revisions
2019-12-08 10:22 syzop Note Added: 0021146
2019-12-08 10:22 syzop Status assigned => resolved
2019-12-08 10:22 syzop Resolution open => fixed
2019-12-08 10:22 syzop Fixed in Version => 5.0.0
2019-12-08 10:23 syzop Note Edited: 0021146 View Revisions